version: '3'
services:
  web:
    build:
      context: ./web
    container_name: php_server
    volumes:
      - "../:/var/www/html:Z"
      - "./pgadmin/:/var/www/pgadmin"
      - "./web/sites-enabled:/etc/nginx/sites-enabled"
      - "./web/fpm/php.ini:/etc/php/7.1/fpm/php.ini"
      - "./web/logs:/var/log/nginx"
      - "./web/sync:/root/eden_temp"
      - "./ssh/config:/root/.ssh/config"
      - "./ssh/gitlab_key:/root/gitlab_key"
    ports:
      - "${SERVER_PORT}:80"
      - "${POSTGRES_PGADMIN_PORT}:8080"
  db:
    image: postgres:${POSTGRES_VERSION}
    container_name: postgres_server
    environment:
      POSTGRES_USER: ${POSTGRES_USER}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
    volumes:
      - "postgresdb:/var/lib/postgresql/data"
    ports:
      - "${POSTGRES_PORT}:5432"
  redis:
    container_name: redis
    image: redis:alpine
    ports:
      - "${REDIS_PORT}:6379"
    volumes:
      - ./redis/data:/data
volumes:
  postgresdb:
